// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.36.2
// 	protoc        (unknown)
// source: connectrpc/rooms/v1/events.proto

package roomsv1

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	durationpb "google.golang.org/protobuf/types/known/durationpb"
	timestamppb "google.golang.org/protobuf/types/known/timestamppb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// Enum for different types of room events
type EventType int32

const (
	EventType_EVENT_TYPE_UNSPECIFIED               EventType = 0
	EventType_EVENT_TYPE_ROOM_STARTING             EventType = 1
	EventType_EVENT_TYPE_ROOM_PLAYING              EventType = 2
	EventType_EVENT_TYPE_ROOM_ENDING               EventType = 3
	EventType_EVENT_TYPE_ROOM_USER_HOST_CHANGED    EventType = 4
	EventType_EVENT_TYPE_ROOM_USER_JOINED          EventType = 5
	EventType_EVENT_TYPE_ROOM_USER_LEFT            EventType = 6
	EventType_EVENT_TYPE_ROOM_USER_BANNED          EventType = 7
	EventType_EVENT_TYPE_ROOM_USER_UNBANNED        EventType = 8
	EventType_EVENT_TYPE_ROOM_EDITED               EventType = 9
	EventType_EVENT_TYPE_ROOM_USER_LOST_CONNECTION EventType = 10
	EventType_EVENT_TYPE_ROOM_ERROR_STARTING       EventType = 20
)

// Enum value maps for EventType.
var (
	EventType_name = map[int32]string{
		0:  "EVENT_TYPE_UNSPECIFIED",
		1:  "EVENT_TYPE_ROOM_STARTING",
		2:  "EVENT_TYPE_ROOM_PLAYING",
		3:  "EVENT_TYPE_ROOM_ENDING",
		4:  "EVENT_TYPE_ROOM_USER_HOST_CHANGED",
		5:  "EVENT_TYPE_ROOM_USER_JOINED",
		6:  "EVENT_TYPE_ROOM_USER_LEFT",
		7:  "EVENT_TYPE_ROOM_USER_BANNED",
		8:  "EVENT_TYPE_ROOM_USER_UNBANNED",
		9:  "EVENT_TYPE_ROOM_EDITED",
		10: "EVENT_TYPE_ROOM_USER_LOST_CONNECTION",
		20: "EVENT_TYPE_ROOM_ERROR_STARTING",
	}
	EventType_value = map[string]int32{
		"EVENT_TYPE_UNSPECIFIED":               0,
		"EVENT_TYPE_ROOM_STARTING":             1,
		"EVENT_TYPE_ROOM_PLAYING":              2,
		"EVENT_TYPE_ROOM_ENDING":               3,
		"EVENT_TYPE_ROOM_USER_HOST_CHANGED":    4,
		"EVENT_TYPE_ROOM_USER_JOINED":          5,
		"EVENT_TYPE_ROOM_USER_LEFT":            6,
		"EVENT_TYPE_ROOM_USER_BANNED":          7,
		"EVENT_TYPE_ROOM_USER_UNBANNED":        8,
		"EVENT_TYPE_ROOM_EDITED":               9,
		"EVENT_TYPE_ROOM_USER_LOST_CONNECTION": 10,
		"EVENT_TYPE_ROOM_ERROR_STARTING":       20,
	}
)

func (x EventType) Enum() *EventType {
	p := new(EventType)
	*p = x
	return p
}

func (x EventType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (EventType) Descriptor() protoreflect.EnumDescriptor {
	return file_connectrpc_rooms_v1_events_proto_enumTypes[0].Descriptor()
}

func (EventType) Type() protoreflect.EnumType {
	return &file_connectrpc_rooms_v1_events_proto_enumTypes[0]
}

func (x EventType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use EventType.Descriptor instead.
func (EventType) EnumDescriptor() ([]byte, []int) {
	return file_connectrpc_rooms_v1_events_proto_rawDescGZIP(), []int{0}
}

// Message to request events for a specific room
type SubscribeRoomEventsRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	RoomId        string                 `protobuf:"bytes,1,opt,name=room_id,json=roomId,proto3" json:"room_id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *SubscribeRoomEventsRequest) Reset() {
	*x = SubscribeRoomEventsRequest{}
	mi := &file_connectrpc_rooms_v1_events_proto_msgTypes[0]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SubscribeRoomEventsRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SubscribeRoomEventsRequest) ProtoMessage() {}

func (x *SubscribeRoomEventsRequest) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_rooms_v1_events_proto_msgTypes[0]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SubscribeRoomEventsRequest.ProtoReflect.Descriptor instead.
func (*SubscribeRoomEventsRequest) Descriptor() ([]byte, []int) {
	return file_connectrpc_rooms_v1_events_proto_rawDescGZIP(), []int{0}
}

func (x *SubscribeRoomEventsRequest) GetRoomId() string {
	if x != nil {
		return x.RoomId
	}
	return ""
}

type SubscribeRoomEventsResponse struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Data          *Event                 `protobuf:"bytes,3,opt,name=data,proto3" json:"data,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *SubscribeRoomEventsResponse) Reset() {
	*x = SubscribeRoomEventsResponse{}
	mi := &file_connectrpc_rooms_v1_events_proto_msgTypes[1]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SubscribeRoomEventsResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SubscribeRoomEventsResponse) ProtoMessage() {}

func (x *SubscribeRoomEventsResponse) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_rooms_v1_events_proto_msgTypes[1]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SubscribeRoomEventsResponse.ProtoReflect.Descriptor instead.
func (*SubscribeRoomEventsResponse) Descriptor() ([]byte, []int) {
	return file_connectrpc_rooms_v1_events_proto_rawDescGZIP(), []int{1}
}

func (x *SubscribeRoomEventsResponse) GetData() *Event {
	if x != nil {
		return x.Data
	}
	return nil
}

type SubscribeAllRoomEventsRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *SubscribeAllRoomEventsRequest) Reset() {
	*x = SubscribeAllRoomEventsRequest{}
	mi := &file_connectrpc_rooms_v1_events_proto_msgTypes[2]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SubscribeAllRoomEventsRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SubscribeAllRoomEventsRequest) ProtoMessage() {}

func (x *SubscribeAllRoomEventsRequest) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_rooms_v1_events_proto_msgTypes[2]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SubscribeAllRoomEventsRequest.ProtoReflect.Descriptor instead.
func (*SubscribeAllRoomEventsRequest) Descriptor() ([]byte, []int) {
	return file_connectrpc_rooms_v1_events_proto_rawDescGZIP(), []int{2}
}

type SubscribeAllRoomEventsResponse struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Data          *Event                 `protobuf:"bytes,3,opt,name=data,proto3" json:"data,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *SubscribeAllRoomEventsResponse) Reset() {
	*x = SubscribeAllRoomEventsResponse{}
	mi := &file_connectrpc_rooms_v1_events_proto_msgTypes[3]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SubscribeAllRoomEventsResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SubscribeAllRoomEventsResponse) ProtoMessage() {}

func (x *SubscribeAllRoomEventsResponse) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_rooms_v1_events_proto_msgTypes[3]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SubscribeAllRoomEventsResponse.ProtoReflect.Descriptor instead.
func (*SubscribeAllRoomEventsResponse) Descriptor() ([]byte, []int) {
	return file_connectrpc_rooms_v1_events_proto_rawDescGZIP(), []int{3}
}

func (x *SubscribeAllRoomEventsResponse) GetData() *Event {
	if x != nil {
		return x.Data
	}
	return nil
}

type UserEvent struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	UserId        string                 `protobuf:"bytes,1,opt,name=user_id,json=userId,proto3" json:"user_id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *UserEvent) Reset() {
	*x = UserEvent{}
	mi := &file_connectrpc_rooms_v1_events_proto_msgTypes[4]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *UserEvent) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UserEvent) ProtoMessage() {}

func (x *UserEvent) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_rooms_v1_events_proto_msgTypes[4]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UserEvent.ProtoReflect.Descriptor instead.
func (*UserEvent) Descriptor() ([]byte, []int) {
	return file_connectrpc_rooms_v1_events_proto_rawDescGZIP(), []int{4}
}

func (x *UserEvent) GetUserId() string {
	if x != nil {
		return x.UserId
	}
	return ""
}

type GenericEvent struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *GenericEvent) Reset() {
	*x = GenericEvent{}
	mi := &file_connectrpc_rooms_v1_events_proto_msgTypes[5]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GenericEvent) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GenericEvent) ProtoMessage() {}

func (x *GenericEvent) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_rooms_v1_events_proto_msgTypes[5]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GenericEvent.ProtoReflect.Descriptor instead.
func (*GenericEvent) Descriptor() ([]byte, []int) {
	return file_connectrpc_rooms_v1_events_proto_rawDescGZIP(), []int{5}
}

type RoomStartingEvent struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	StartsIn      *durationpb.Duration   `protobuf:"bytes,1,opt,name=starts_in,json=startsIn,proto3" json:"starts_in,omitempty"`
	QuestionSetId string                 `protobuf:"bytes,2,opt,name=question_set_id,json=questionSetId,proto3" json:"question_set_id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *RoomStartingEvent) Reset() {
	*x = RoomStartingEvent{}
	mi := &file_connectrpc_rooms_v1_events_proto_msgTypes[6]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *RoomStartingEvent) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RoomStartingEvent) ProtoMessage() {}

func (x *RoomStartingEvent) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_rooms_v1_events_proto_msgTypes[6]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RoomStartingEvent.ProtoReflect.Descriptor instead.
func (*RoomStartingEvent) Descriptor() ([]byte, []int) {
	return file_connectrpc_rooms_v1_events_proto_rawDescGZIP(), []int{6}
}

func (x *RoomStartingEvent) GetStartsIn() *durationpb.Duration {
	if x != nil {
		return x.StartsIn
	}
	return nil
}

func (x *RoomStartingEvent) GetQuestionSetId() string {
	if x != nil {
		return x.QuestionSetId
	}
	return ""
}

type RoomEditedEvent struct {
	state           protoimpl.MessageState `protogen:"open.v1"`
	RoomName        string                 `protobuf:"bytes,1,opt,name=room_name,json=roomName,proto3" json:"room_name,omitempty"`
	MaxPlayers      uint32                 `protobuf:"varint,2,opt,name=max_players,json=maxPlayers,proto3" json:"max_players,omitempty"`
	PlayingDuration *durationpb.Duration   `protobuf:"bytes,3,opt,name=playing_duration,json=playingDuration,proto3" json:"playing_duration,omitempty"`
	unknownFields   protoimpl.UnknownFields
	sizeCache       protoimpl.SizeCache
}

func (x *RoomEditedEvent) Reset() {
	*x = RoomEditedEvent{}
	mi := &file_connectrpc_rooms_v1_events_proto_msgTypes[7]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *RoomEditedEvent) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RoomEditedEvent) ProtoMessage() {}

func (x *RoomEditedEvent) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_rooms_v1_events_proto_msgTypes[7]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RoomEditedEvent.ProtoReflect.Descriptor instead.
func (*RoomEditedEvent) Descriptor() ([]byte, []int) {
	return file_connectrpc_rooms_v1_events_proto_rawDescGZIP(), []int{7}
}

func (x *RoomEditedEvent) GetRoomName() string {
	if x != nil {
		return x.RoomName
	}
	return ""
}

func (x *RoomEditedEvent) GetMaxPlayers() uint32 {
	if x != nil {
		return x.MaxPlayers
	}
	return 0
}

func (x *RoomEditedEvent) GetPlayingDuration() *durationpb.Duration {
	if x != nil {
		return x.PlayingDuration
	}
	return nil
}

// Message representing a room event
type Event struct {
	state       protoimpl.MessageState `protogen:"open.v1"`
	EventId     string                 `protobuf:"bytes,1,opt,name=event_id,json=eventId,proto3" json:"event_id,omitempty"`
	EventTime   *timestamppb.Timestamp `protobuf:"bytes,2,opt,name=event_time,json=eventTime,proto3" json:"event_time,omitempty"`
	EventType   EventType              `protobuf:"varint,3,opt,name=event_type,json=eventType,proto3,enum=connectrpc.rooms.v1.EventType" json:"event_type,omitempty"`
	RoomId      string                 `protobuf:"bytes,4,opt,name=room_id,json=roomId,proto3" json:"room_id,omitempty"`
	Description *string                `protobuf:"bytes,5,opt,name=description,proto3,oneof" json:"description,omitempty"`
	// Types that are valid to be assigned to Event:
	//
	//	*Event_GenericEvent
	//	*Event_UserEvent
	//	*Event_RoomStartingEvent
	//	*Event_RoomEditedEvent
	Event         isEvent_Event `protobuf_oneof:"event"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *Event) Reset() {
	*x = Event{}
	mi := &file_connectrpc_rooms_v1_events_proto_msgTypes[8]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *Event) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Event) ProtoMessage() {}

func (x *Event) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_rooms_v1_events_proto_msgTypes[8]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Event.ProtoReflect.Descriptor instead.
func (*Event) Descriptor() ([]byte, []int) {
	return file_connectrpc_rooms_v1_events_proto_rawDescGZIP(), []int{8}
}

func (x *Event) GetEventId() string {
	if x != nil {
		return x.EventId
	}
	return ""
}

func (x *Event) GetEventTime() *timestamppb.Timestamp {
	if x != nil {
		return x.EventTime
	}
	return nil
}

func (x *Event) GetEventType() EventType {
	if x != nil {
		return x.EventType
	}
	return EventType_EVENT_TYPE_UNSPECIFIED
}

func (x *Event) GetRoomId() string {
	if x != nil {
		return x.RoomId
	}
	return ""
}

func (x *Event) GetDescription() string {
	if x != nil && x.Description != nil {
		return *x.Description
	}
	return ""
}

func (x *Event) GetEvent() isEvent_Event {
	if x != nil {
		return x.Event
	}
	return nil
}

func (x *Event) GetGenericEvent() *GenericEvent {
	if x != nil {
		if x, ok := x.Event.(*Event_GenericEvent); ok {
			return x.GenericEvent
		}
	}
	return nil
}

func (x *Event) GetUserEvent() *UserEvent {
	if x != nil {
		if x, ok := x.Event.(*Event_UserEvent); ok {
			return x.UserEvent
		}
	}
	return nil
}

func (x *Event) GetRoomStartingEvent() *RoomStartingEvent {
	if x != nil {
		if x, ok := x.Event.(*Event_RoomStartingEvent); ok {
			return x.RoomStartingEvent
		}
	}
	return nil
}

func (x *Event) GetRoomEditedEvent() *RoomEditedEvent {
	if x != nil {
		if x, ok := x.Event.(*Event_RoomEditedEvent); ok {
			return x.RoomEditedEvent
		}
	}
	return nil
}

type isEvent_Event interface {
	isEvent_Event()
}

type Event_GenericEvent struct {
	GenericEvent *GenericEvent `protobuf:"bytes,10,opt,name=generic_event,json=genericEvent,proto3,oneof"`
}

type Event_UserEvent struct {
	UserEvent *UserEvent `protobuf:"bytes,11,opt,name=user_event,json=userEvent,proto3,oneof"`
}

type Event_RoomStartingEvent struct {
	RoomStartingEvent *RoomStartingEvent `protobuf:"bytes,12,opt,name=room_starting_event,json=roomStartingEvent,proto3,oneof"`
}

type Event_RoomEditedEvent struct {
	RoomEditedEvent *RoomEditedEvent `protobuf:"bytes,13,opt,name=room_edited_event,json=roomEditedEvent,proto3,oneof"`
}

func (*Event_GenericEvent) isEvent_Event() {}

func (*Event_UserEvent) isEvent_Event() {}

func (*Event_RoomStartingEvent) isEvent_Event() {}

func (*Event_RoomEditedEvent) isEvent_Event() {}

var File_connectrpc_rooms_v1_events_proto protoreflect.FileDescriptor

var file_connectrpc_rooms_v1_events_proto_rawDesc = []byte{
	0x0a, 0x20, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2f, 0x72, 0x6f, 0x6f,
	0x6d, 0x73, 0x2f, 0x76, 0x31, 0x2f, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x12, 0x13, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x72,
	0x6f, 0x6f, 0x6d, 0x73, 0x2e, 0x76, 0x31, 0x1a, 0x1f, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61,
	0x6d, 0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65,
	0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x64, 0x75, 0x72, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x35, 0x0a, 0x1a, 0x53, 0x75, 0x62, 0x73,
	0x63, 0x72, 0x69, 0x62, 0x65, 0x52, 0x6f, 0x6f, 0x6d, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x17, 0x0a, 0x07, 0x72, 0x6f, 0x6f, 0x6d, 0x5f, 0x69,
	0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x72, 0x6f, 0x6f, 0x6d, 0x49, 0x64, 0x22,
	0x4d, 0x0a, 0x1b, 0x53, 0x75, 0x62, 0x73, 0x63, 0x72, 0x69, 0x62, 0x65, 0x52, 0x6f, 0x6f, 0x6d,
	0x45, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x2e,
	0x0a, 0x04, 0x64, 0x61, 0x74, 0x61, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x63,
	0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x72, 0x6f, 0x6f, 0x6d, 0x73, 0x2e,
	0x76, 0x31, 0x2e, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x52, 0x04, 0x64, 0x61, 0x74, 0x61, 0x22, 0x1f,
	0x0a, 0x1d, 0x53, 0x75, 0x62, 0x73, 0x63, 0x72, 0x69, 0x62, 0x65, 0x41, 0x6c, 0x6c, 0x52, 0x6f,
	0x6f, 0x6d, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x22,
	0x50, 0x0a, 0x1e, 0x53, 0x75, 0x62, 0x73, 0x63, 0x72, 0x69, 0x62, 0x65, 0x41, 0x6c, 0x6c, 0x52,
	0x6f, 0x6f, 0x6d, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x12, 0x2e, 0x0a, 0x04, 0x64, 0x61, 0x74, 0x61, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x1a, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x72, 0x6f, 0x6f,
	0x6d, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x52, 0x04, 0x64, 0x61, 0x74,
	0x61, 0x22, 0x24, 0x0a, 0x09, 0x55, 0x73, 0x65, 0x72, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x12, 0x17,
	0x0a, 0x07, 0x75, 0x73, 0x65, 0x72, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x06, 0x75, 0x73, 0x65, 0x72, 0x49, 0x64, 0x22, 0x0e, 0x0a, 0x0c, 0x47, 0x65, 0x6e, 0x65, 0x72,
	0x69, 0x63, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x22, 0x73, 0x0a, 0x11, 0x52, 0x6f, 0x6f, 0x6d, 0x53,
	0x74, 0x61, 0x72, 0x74, 0x69, 0x6e, 0x67, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x12, 0x36, 0x0a, 0x09,
	0x73, 0x74, 0x61, 0x72, 0x74, 0x73, 0x5f, 0x69, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x19, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75,
	0x66, 0x2e, 0x44, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x08, 0x73, 0x74, 0x61, 0x72,
	0x74, 0x73, 0x49, 0x6e, 0x12, 0x26, 0x0a, 0x0f, 0x71, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e,
	0x5f, 0x73, 0x65, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0d, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x53, 0x65, 0x74, 0x49, 0x64, 0x22, 0x95, 0x01, 0x0a,
	0x0f, 0x52, 0x6f, 0x6f, 0x6d, 0x45, 0x64, 0x69, 0x74, 0x65, 0x64, 0x45, 0x76, 0x65, 0x6e, 0x74,
	0x12, 0x1b, 0x0a, 0x09, 0x72, 0x6f, 0x6f, 0x6d, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x08, 0x72, 0x6f, 0x6f, 0x6d, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x1f, 0x0a,
	0x0b, 0x6d, 0x61, 0x78, 0x5f, 0x70, 0x6c, 0x61, 0x79, 0x65, 0x72, 0x73, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x0d, 0x52, 0x0a, 0x6d, 0x61, 0x78, 0x50, 0x6c, 0x61, 0x79, 0x65, 0x72, 0x73, 0x12, 0x44,
	0x0a, 0x10, 0x70, 0x6c, 0x61, 0x79, 0x69, 0x6e, 0x67, 0x5f, 0x64, 0x75, 0x72, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x19, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c,
	0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x44, 0x75, 0x72, 0x61, 0x74,
	0x69, 0x6f, 0x6e, 0x52, 0x0f, 0x70, 0x6c, 0x61, 0x79, 0x69, 0x6e, 0x67, 0x44, 0x75, 0x72, 0x61,
	0x74, 0x69, 0x6f, 0x6e, 0x22, 0xae, 0x04, 0x0a, 0x05, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x12, 0x19,
	0x0a, 0x08, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x07, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x49, 0x64, 0x12, 0x39, 0x0a, 0x0a, 0x65, 0x76, 0x65,
	0x6e, 0x74, 0x5f, 0x74, 0x69, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e,
	0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e,
	0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x09, 0x65, 0x76, 0x65, 0x6e, 0x74,
	0x54, 0x69, 0x6d, 0x65, 0x12, 0x3d, 0x0a, 0x0a, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x5f, 0x74, 0x79,
	0x70, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x1e, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65,
	0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x72, 0x6f, 0x6f, 0x6d, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x45,
	0x76, 0x65, 0x6e, 0x74, 0x54, 0x79, 0x70, 0x65, 0x52, 0x09, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x54,
	0x79, 0x70, 0x65, 0x12, 0x17, 0x0a, 0x07, 0x72, 0x6f, 0x6f, 0x6d, 0x5f, 0x69, 0x64, 0x18, 0x04,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x72, 0x6f, 0x6f, 0x6d, 0x49, 0x64, 0x12, 0x25, 0x0a, 0x0b,
	0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x05, 0x20, 0x01, 0x28,
	0x09, 0x48, 0x01, 0x52, 0x0b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e,
	0x88, 0x01, 0x01, 0x12, 0x48, 0x0a, 0x0d, 0x67, 0x65, 0x6e, 0x65, 0x72, 0x69, 0x63, 0x5f, 0x65,
	0x76, 0x65, 0x6e, 0x74, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x21, 0x2e, 0x63, 0x6f, 0x6e,
	0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x72, 0x6f, 0x6f, 0x6d, 0x73, 0x2e, 0x76, 0x31,
	0x2e, 0x47, 0x65, 0x6e, 0x65, 0x72, 0x69, 0x63, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x48, 0x00, 0x52,
	0x0c, 0x67, 0x65, 0x6e, 0x65, 0x72, 0x69, 0x63, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x12, 0x3f, 0x0a,
	0x0a, 0x75, 0x73, 0x65, 0x72, 0x5f, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x18, 0x0b, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x1e, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x72,
	0x6f, 0x6f, 0x6d, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x55, 0x73, 0x65, 0x72, 0x45, 0x76, 0x65, 0x6e,
	0x74, 0x48, 0x00, 0x52, 0x09, 0x75, 0x73, 0x65, 0x72, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x12, 0x58,
	0x0a, 0x13, 0x72, 0x6f, 0x6f, 0x6d, 0x5f, 0x73, 0x74, 0x61, 0x72, 0x74, 0x69, 0x6e, 0x67, 0x5f,
	0x65, 0x76, 0x65, 0x6e, 0x74, 0x18, 0x0c, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x26, 0x2e, 0x63, 0x6f,
	0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x72, 0x6f, 0x6f, 0x6d, 0x73, 0x2e, 0x76,
	0x31, 0x2e, 0x52, 0x6f, 0x6f, 0x6d, 0x53, 0x74, 0x61, 0x72, 0x74, 0x69, 0x6e, 0x67, 0x45, 0x76,
	0x65, 0x6e, 0x74, 0x48, 0x00, 0x52, 0x11, 0x72, 0x6f, 0x6f, 0x6d, 0x53, 0x74, 0x61, 0x72, 0x74,
	0x69, 0x6e, 0x67, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x12, 0x52, 0x0a, 0x11, 0x72, 0x6f, 0x6f, 0x6d,
	0x5f, 0x65, 0x64, 0x69, 0x74, 0x65, 0x64, 0x5f, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x18, 0x0d, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x24, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63,
	0x2e, 0x72, 0x6f, 0x6f, 0x6d, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x52, 0x6f, 0x6f, 0x6d, 0x45, 0x64,
	0x69, 0x74, 0x65, 0x64, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x48, 0x00, 0x52, 0x0f, 0x72, 0x6f, 0x6f,
	0x6d, 0x45, 0x64, 0x69, 0x74, 0x65, 0x64, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x42, 0x07, 0x0a, 0x05,
	0x65, 0x76, 0x65, 0x6e, 0x74, 0x42, 0x0e, 0x0a, 0x0c, 0x5f, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69,
	0x70, 0x74, 0x69, 0x6f, 0x6e, 0x2a, 0x93, 0x03, 0x0a, 0x09, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x54,
	0x79, 0x70, 0x65, 0x12, 0x1a, 0x0a, 0x16, 0x45, 0x56, 0x45, 0x4e, 0x54, 0x5f, 0x54, 0x59, 0x50,
	0x45, 0x5f, 0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46, 0x49, 0x45, 0x44, 0x10, 0x00, 0x12,
	0x1c, 0x0a, 0x18, 0x45, 0x56, 0x45, 0x4e, 0x54, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x52, 0x4f,
	0x4f, 0x4d, 0x5f, 0x53, 0x54, 0x41, 0x52, 0x54, 0x49, 0x4e, 0x47, 0x10, 0x01, 0x12, 0x1b, 0x0a,
	0x17, 0x45, 0x56, 0x45, 0x4e, 0x54, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x52, 0x4f, 0x4f, 0x4d,
	0x5f, 0x50, 0x4c, 0x41, 0x59, 0x49, 0x4e, 0x47, 0x10, 0x02, 0x12, 0x1a, 0x0a, 0x16, 0x45, 0x56,
	0x45, 0x4e, 0x54, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x52, 0x4f, 0x4f, 0x4d, 0x5f, 0x45, 0x4e,
	0x44, 0x49, 0x4e, 0x47, 0x10, 0x03, 0x12, 0x25, 0x0a, 0x21, 0x45, 0x56, 0x45, 0x4e, 0x54, 0x5f,
	0x54, 0x59, 0x50, 0x45, 0x5f, 0x52, 0x4f, 0x4f, 0x4d, 0x5f, 0x55, 0x53, 0x45, 0x52, 0x5f, 0x48,
	0x4f, 0x53, 0x54, 0x5f, 0x43, 0x48, 0x41, 0x4e, 0x47, 0x45, 0x44, 0x10, 0x04, 0x12, 0x1f, 0x0a,
	0x1b, 0x45, 0x56, 0x45, 0x4e, 0x54, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x52, 0x4f, 0x4f, 0x4d,
	0x5f, 0x55, 0x53, 0x45, 0x52, 0x5f, 0x4a, 0x4f, 0x49, 0x4e, 0x45, 0x44, 0x10, 0x05, 0x12, 0x1d,
	0x0a, 0x19, 0x45, 0x56, 0x45, 0x4e, 0x54, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x52, 0x4f, 0x4f,
	0x4d, 0x5f, 0x55, 0x53, 0x45, 0x52, 0x5f, 0x4c, 0x45, 0x46, 0x54, 0x10, 0x06, 0x12, 0x1f, 0x0a,
	0x1b, 0x45, 0x56, 0x45, 0x4e, 0x54, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x52, 0x4f, 0x4f, 0x4d,
	0x5f, 0x55, 0x53, 0x45, 0x52, 0x5f, 0x42, 0x41, 0x4e, 0x4e, 0x45, 0x44, 0x10, 0x07, 0x12, 0x21,
	0x0a, 0x1d, 0x45, 0x56, 0x45, 0x4e, 0x54, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x52, 0x4f, 0x4f,
	0x4d, 0x5f, 0x55, 0x53, 0x45, 0x52, 0x5f, 0x55, 0x4e, 0x42, 0x41, 0x4e, 0x4e, 0x45, 0x44, 0x10,
	0x08, 0x12, 0x1a, 0x0a, 0x16, 0x45, 0x56, 0x45, 0x4e, 0x54, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f,
	0x52, 0x4f, 0x4f, 0x4d, 0x5f, 0x45, 0x44, 0x49, 0x54, 0x45, 0x44, 0x10, 0x09, 0x12, 0x28, 0x0a,
	0x24, 0x45, 0x56, 0x45, 0x4e, 0x54, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x52, 0x4f, 0x4f, 0x4d,
	0x5f, 0x55, 0x53, 0x45, 0x52, 0x5f, 0x4c, 0x4f, 0x53, 0x54, 0x5f, 0x43, 0x4f, 0x4e, 0x4e, 0x45,
	0x43, 0x54, 0x49, 0x4f, 0x4e, 0x10, 0x0a, 0x12, 0x22, 0x0a, 0x1e, 0x45, 0x56, 0x45, 0x4e, 0x54,
	0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x52, 0x4f, 0x4f, 0x4d, 0x5f, 0x45, 0x52, 0x52, 0x4f, 0x52,
	0x5f, 0x53, 0x54, 0x41, 0x52, 0x54, 0x49, 0x4e, 0x47, 0x10, 0x14, 0x32, 0x90, 0x02, 0x0a, 0x0c,
	0x45, 0x76, 0x65, 0x6e, 0x74, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0x7a, 0x0a, 0x13,
	0x53, 0x75, 0x62, 0x73, 0x63, 0x72, 0x69, 0x62, 0x65, 0x52, 0x6f, 0x6f, 0x6d, 0x45, 0x76, 0x65,
	0x6e, 0x74, 0x73, 0x12, 0x2f, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63,
	0x2e, 0x72, 0x6f, 0x6f, 0x6d, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x53, 0x75, 0x62, 0x73, 0x63, 0x72,
	0x69, 0x62, 0x65, 0x52, 0x6f, 0x6f, 0x6d, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x1a, 0x30, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70,
	0x63, 0x2e, 0x72, 0x6f, 0x6f, 0x6d, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x53, 0x75, 0x62, 0x73, 0x63,
	0x72, 0x69, 0x62, 0x65, 0x52, 0x6f, 0x6f, 0x6d, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x30, 0x01, 0x12, 0x83, 0x01, 0x0a, 0x16, 0x53, 0x75, 0x62,
	0x73, 0x63, 0x72, 0x69, 0x62, 0x65, 0x41, 0x6c, 0x6c, 0x52, 0x6f, 0x6f, 0x6d, 0x45, 0x76, 0x65,
	0x6e, 0x74, 0x73, 0x12, 0x32, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63,
	0x2e, 0x72, 0x6f, 0x6f, 0x6d, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x53, 0x75, 0x62, 0x73, 0x63, 0x72,
	0x69, 0x62, 0x65, 0x41, 0x6c, 0x6c, 0x52, 0x6f, 0x6f, 0x6d, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x73,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x33, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63,
	0x74, 0x72, 0x70, 0x63, 0x2e, 0x72, 0x6f, 0x6f, 0x6d, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x53, 0x75,
	0x62, 0x73, 0x63, 0x72, 0x69, 0x62, 0x65, 0x41, 0x6c, 0x6c, 0x52, 0x6f, 0x6f, 0x6d, 0x45, 0x76,
	0x65, 0x6e, 0x74, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x30, 0x01, 0x42, 0xe3,
	0x01, 0x0a, 0x17, 0x63, 0x6f, 0x6d, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70,
	0x63, 0x2e, 0x72, 0x6f, 0x6f, 0x6d, 0x73, 0x2e, 0x76, 0x31, 0x42, 0x0b, 0x45, 0x76, 0x65, 0x6e,
	0x74, 0x73, 0x50, 0x72, 0x6f, 0x74, 0x6f, 0x50, 0x01, 0x5a, 0x4d, 0x67, 0x69, 0x74, 0x6c, 0x61,
	0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x62, 0x69, 0x6e, 0x61, 0x72, 0x79, 0x67, 0x61, 0x6d, 0x65,
	0x2f, 0x6d, 0x69, 0x63, 0x72, 0x6f, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x2f, 0x72,
	0x6f, 0x6f, 0x6d, 0x73, 0x2f, 0x70, 0x6b, 0x67, 0x2f, 0x67, 0x65, 0x6e, 0x2f, 0x63, 0x6f, 0x6e,
	0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2f, 0x72, 0x6f, 0x6f, 0x6d, 0x73, 0x2f, 0x76, 0x31,
	0x3b, 0x72, 0x6f, 0x6f, 0x6d, 0x73, 0x76, 0x31, 0xa2, 0x02, 0x03, 0x43, 0x52, 0x58, 0xaa, 0x02,
	0x13, 0x43, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x52, 0x6f, 0x6f, 0x6d,
	0x73, 0x2e, 0x56, 0x31, 0xca, 0x02, 0x13, 0x43, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70,
	0x63, 0x5c, 0x52, 0x6f, 0x6f, 0x6d, 0x73, 0x5c, 0x56, 0x31, 0xe2, 0x02, 0x1f, 0x43, 0x6f, 0x6e,
	0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x5c, 0x52, 0x6f, 0x6f, 0x6d, 0x73, 0x5c, 0x56, 0x31,
	0x5c, 0x47, 0x50, 0x42, 0x4d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0xea, 0x02, 0x15, 0x43,
	0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x3a, 0x3a, 0x52, 0x6f, 0x6f, 0x6d, 0x73,
	0x3a, 0x3a, 0x56, 0x31, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_connectrpc_rooms_v1_events_proto_rawDescOnce sync.Once
	file_connectrpc_rooms_v1_events_proto_rawDescData = file_connectrpc_rooms_v1_events_proto_rawDesc
)

func file_connectrpc_rooms_v1_events_proto_rawDescGZIP() []byte {
	file_connectrpc_rooms_v1_events_proto_rawDescOnce.Do(func() {
		file_connectrpc_rooms_v1_events_proto_rawDescData = protoimpl.X.CompressGZIP(file_connectrpc_rooms_v1_events_proto_rawDescData)
	})
	return file_connectrpc_rooms_v1_events_proto_rawDescData
}

var file_connectrpc_rooms_v1_events_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_connectrpc_rooms_v1_events_proto_msgTypes = make([]protoimpl.MessageInfo, 9)
var file_connectrpc_rooms_v1_events_proto_goTypes = []any{
	(EventType)(0),                         // 0: connectrpc.rooms.v1.EventType
	(*SubscribeRoomEventsRequest)(nil),     // 1: connectrpc.rooms.v1.SubscribeRoomEventsRequest
	(*SubscribeRoomEventsResponse)(nil),    // 2: connectrpc.rooms.v1.SubscribeRoomEventsResponse
	(*SubscribeAllRoomEventsRequest)(nil),  // 3: connectrpc.rooms.v1.SubscribeAllRoomEventsRequest
	(*SubscribeAllRoomEventsResponse)(nil), // 4: connectrpc.rooms.v1.SubscribeAllRoomEventsResponse
	(*UserEvent)(nil),                      // 5: connectrpc.rooms.v1.UserEvent
	(*GenericEvent)(nil),                   // 6: connectrpc.rooms.v1.GenericEvent
	(*RoomStartingEvent)(nil),              // 7: connectrpc.rooms.v1.RoomStartingEvent
	(*RoomEditedEvent)(nil),                // 8: connectrpc.rooms.v1.RoomEditedEvent
	(*Event)(nil),                          // 9: connectrpc.rooms.v1.Event
	(*durationpb.Duration)(nil),            // 10: google.protobuf.Duration
	(*timestamppb.Timestamp)(nil),          // 11: google.protobuf.Timestamp
}
var file_connectrpc_rooms_v1_events_proto_depIdxs = []int32{
	9,  // 0: connectrpc.rooms.v1.SubscribeRoomEventsResponse.data:type_name -> connectrpc.rooms.v1.Event
	9,  // 1: connectrpc.rooms.v1.SubscribeAllRoomEventsResponse.data:type_name -> connectrpc.rooms.v1.Event
	10, // 2: connectrpc.rooms.v1.RoomStartingEvent.starts_in:type_name -> google.protobuf.Duration
	10, // 3: connectrpc.rooms.v1.RoomEditedEvent.playing_duration:type_name -> google.protobuf.Duration
	11, // 4: connectrpc.rooms.v1.Event.event_time:type_name -> google.protobuf.Timestamp
	0,  // 5: connectrpc.rooms.v1.Event.event_type:type_name -> connectrpc.rooms.v1.EventType
	6,  // 6: connectrpc.rooms.v1.Event.generic_event:type_name -> connectrpc.rooms.v1.GenericEvent
	5,  // 7: connectrpc.rooms.v1.Event.user_event:type_name -> connectrpc.rooms.v1.UserEvent
	7,  // 8: connectrpc.rooms.v1.Event.room_starting_event:type_name -> connectrpc.rooms.v1.RoomStartingEvent
	8,  // 9: connectrpc.rooms.v1.Event.room_edited_event:type_name -> connectrpc.rooms.v1.RoomEditedEvent
	1,  // 10: connectrpc.rooms.v1.EventService.SubscribeRoomEvents:input_type -> connectrpc.rooms.v1.SubscribeRoomEventsRequest
	3,  // 11: connectrpc.rooms.v1.EventService.SubscribeAllRoomEvents:input_type -> connectrpc.rooms.v1.SubscribeAllRoomEventsRequest
	2,  // 12: connectrpc.rooms.v1.EventService.SubscribeRoomEvents:output_type -> connectrpc.rooms.v1.SubscribeRoomEventsResponse
	4,  // 13: connectrpc.rooms.v1.EventService.SubscribeAllRoomEvents:output_type -> connectrpc.rooms.v1.SubscribeAllRoomEventsResponse
	12, // [12:14] is the sub-list for method output_type
	10, // [10:12] is the sub-list for method input_type
	10, // [10:10] is the sub-list for extension type_name
	10, // [10:10] is the sub-list for extension extendee
	0,  // [0:10] is the sub-list for field type_name
}

func init() { file_connectrpc_rooms_v1_events_proto_init() }
func file_connectrpc_rooms_v1_events_proto_init() {
	if File_connectrpc_rooms_v1_events_proto != nil {
		return
	}
	file_connectrpc_rooms_v1_events_proto_msgTypes[8].OneofWrappers = []any{
		(*Event_GenericEvent)(nil),
		(*Event_UserEvent)(nil),
		(*Event_RoomStartingEvent)(nil),
		(*Event_RoomEditedEvent)(nil),
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_connectrpc_rooms_v1_events_proto_rawDesc,
			NumEnums:      1,
			NumMessages:   9,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_connectrpc_rooms_v1_events_proto_goTypes,
		DependencyIndexes: file_connectrpc_rooms_v1_events_proto_depIdxs,
		EnumInfos:         file_connectrpc_rooms_v1_events_proto_enumTypes,
		MessageInfos:      file_connectrpc_rooms_v1_events_proto_msgTypes,
	}.Build()
	File_connectrpc_rooms_v1_events_proto = out.File
	file_connectrpc_rooms_v1_events_proto_rawDesc = nil
	file_connectrpc_rooms_v1_events_proto_goTypes = nil
	file_connectrpc_rooms_v1_events_proto_depIdxs = nil
}
